@import url('https://fonts.googleapis.com/css2?family=Goldman&display=swap');
@mixin fonth1{
    font-family: 'Goldman', cursive;
    color: white;
}
@mixin font{
    font-family: 'Roboto', sans-serif;
    color: white;
}
@mixin estructura {
    width: 60%;
    margin-left: 20%;
}
@mixin PersonatgesYN{
    div{
        float: left;
        width: 45%;
        margin: 2.5%;
        h3, h4{
            text-align: center;
        }
        p{
            width: 100%;
        }
        figure{
            text-align: center;
            img{
                border: 3px ridge aqua;
                border-radius: 5px;
            }
        }
    }
}
#director{
    clear: left;
}
#personatges{
    width: 70%;
    margin-left: 15%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    h2{
        font-family: 'Goldman', cursive;
        text-align: center;
        width: 100%;
    }
}
#taki{
    @include PersonatgesYN();
}
#mitsuha{
    @include PersonatgesYN();
}
#hitoha{
    @include PersonatgesYN();
}
#katsuhiko{
    @include PersonatgesYN();
}
#yotsuha{
    @include PersonatgesYN();
}
#cinplatstreaming{
    position: relative;
    table{
        width: 60%;
        margin-left: 20%;
        z-index: 1;
        caption{
            font-family: 'Goldman', cursive;
            height: 5vh;
        }
    }
}
#media{
    h2{
        font-family: 'Goldman', cursive;
        text-align: center;
        width: 100%;
    }
}
#tokio{
    width: 80%;
    margin-left: 10%;
    h3{
        text-align: center;
        
    }
}
#itomori{
    width: 80%;
    margin-left: 10%;
    h3{
        text-align: center;
        
    }
}
#trailer{
    clear: left;
    h3{
        text-align: center;
    }
    iframe{
        margin-left: 10%;
        border: 3px solid rebeccapurple;
    }
}
#vidper{
    h3{
        text-align: center;
    }
    video{
        margin-left: 20%;
        border: 3px solid rebeccapurple;
    }
}
#opinio{
    h2{
        font-family: 'Goldman', cursive;
        text-align: center;
        width: 100%;
    }
    form{
        width: 60%;
        margin-left: 20%;
        background: linear-gradient(27deg, rgba(21,0,36,1) 0%, rgba(114,9,121,1) 35%, rgba(0,129,255,1) 100%);
        border-radius: 15px;
        div{
            padding: 2vh 2vw;
            input:hover{
                background-color: darkblue;
                color: white;
            }
            input:focus{
                background-color: blueviolet;
                color: white;
            }
        }
    }
}
#si:checked~#opdiv{
    display: block;
}
#opdiv{
    display: none;
    textarea:focus{
        color: white;
        background-color: blueviolet;
    }
    textarea:hover{
        background-color: darkblue;
    }
}
#links{
    h2{
        font-family: 'Goldman', cursive;
        text-align: center;
        width: 100%;
    }
    div{
        width: 60%;
        margin-left: 20%;
    }
}
#musica{
    h2{
        font-family: 'Goldman', cursive;
        text-align: center;
        width: 100%;
    }
    div{
        margin-left: 20%;
        width: 60%;
        p{
            text-align: center;
        }
        iframe{
            border: 5px groove rebeccapurple;
        }
    }
}
body{
    @include font();
    box-sizing: content-box;
    background: url(../img/fondoyn.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    margin: 0;
}
h1{
    @include fonth1();
    text-align: center;
}
table, tr, td, th{
    border: 3px groove aqua;
    border-collapse: collapse;
    text-align: center;
    padding: 10px;
}
nav{
    position: sticky;
    top: 0;
    border-radius:0 0 10px 10px;
    text-align: center;
    background: linear-gradient(27deg, rgba(21,0,36,1) 0%, rgba(114,9,121,1) 35%, rgba(0,129,255,1) 100%);
    z-index: 11;
}
ol{
    margin-top: 0;
}
a{
    text-decoration: none;
    color: white;
}
a:hover {
    color: red;
}
figcaption{
    color: white;
}
footer{
    div{
        margin: 1% 0 0 0;
        position: relative;
        bottom: 0;
        padding: 0.5%;
        background: linear-gradient(27deg, rgba(21,0,36,1) 0%, rgba(114,9,121,1) 35%, rgba(0,129,255,1) 100%);
        text-align: center;
    }
}
.menu{
    text-align: center;
    padding: 2vh 2vw;
    position: relative;
    display: inline-block;
    transition-duration: 1s;
    z-index: 9;
    
}
.menu-Content{
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    width: 20vw;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 2vh 2vw;
    z-index: 10;
    
}
.menu:hover .menu-Content{
    display: block;
}
.menu-Content li {
    list-style: none;
    a{
        padding: 2vh 2vw;
        text-align: center;
        color: gray;
        display: block;
    }
}
.menu-Content li a:hover{
    background-color: darkslategray;
}
.headerYN{
    width: 60%;
    margin-left: 20%;
}
.PtractaDiv{
    @include estructura();
}
.tractaDiv{
    width: 30vw;
    float: left;
    h2{
        font-family: 'Goldman', cursive;
    }
}
.tractaFig{
    float: left;
}
.directorDiv{
    @include estructura();
    h2{
        font-family: 'Goldman', cursive;
        text-align: center;
    }
    figure{
        float: left;
    }
    p{
        width: 30vw;
        float: left;
    }
}
.Pdirectordiv{
    @include estructura();
    clear: left;
    h3{
        text-align: center;
    }
}
.divmediaFoto{
    h4{
        clear: left;
        text-align: center;
        padding-bottom: 2vh;
        border-bottom: 3px ridge aqua;
    }
    figure{
        div{
            float: left;
            padding: 3%;
            img{
                width: 64vh;
                border: 5px groove rebeccapurple;
                border-radius: 10px;
            }
        }
    }
}
.finalform{
    text-align: center;
}
.linksL:link{
    text-decoration: underline;
}
.linksL:visited{
    color: darkmagenta;
}